package com.dxhy.common.enums;

/**
 * @author kangzq 20190507 是否勾选
 */
public enum SfgxEnum {
    /**
     * 否
     */
    F("0", 1),

    /**
     * 是
     */
    S("1", 2);

    private static final String[] SFGXMC = {"否", "是"};

    private String sfgxDm;
    private int index;

    SfgxEnum(String sfgxDm, int index) {
        this.sfgxDm = sfgxDm;
        this.index = index;
    }

    public String getSfgxDm(int index) {
        for (SfgxEnum en : SfgxEnum.values()) {
            if (en.getIndex() == index) {
                return en.sfgxDm;
            }
        }
        return null;
    }

    public String getSfgxMc(int index) {
        int length = SFGXMC.length;
        if (index <= length) {
            return SFGXMC[index - 1];
        }
        return null;
    }

    public String getSfgxDm() {
        return sfgxDm;
    }

    public void setSfgxDm(String sfgxDm) {
        this.sfgxDm = sfgxDm;
    }

    public int getIndex() {
        return index;
    }

    public void setIndex(int index) {
        this.index = index;
    }

}
